<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    
    extract($_POST);
	  $q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b>Lista de Cuentas de dep&oacute;sito</b><br><br></font><table border=\"1\"> <tr>
			<th>Id</th><th>Banco</th><th>Cuenta</th><th>Acciones</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	
	  
	 
	  
	  
	  
echo"<form name=\"busca\" action=\"modcuentas.php\" method=\"post\"><tr><td>$a0</td><td>$a1</td><td>$a2</td><td>

			<input type=hidden name=idbanco value=$a0 />
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Editar\" /></td></tr></form>";
	}
	echo"</table><br><br><hr><br>";
	
   echo"<center><font size=\"5\"><b>Agregar Cuenta de Dep&oacute;sito a Sistema</b><br><br></font>";
	if($lista2!="Agregar Cuenta"){

echo"<form name=\"Agrega2\" action=\"vercuentas.php\" method=\"post\"><table cellpadding=\"5\" cellspacing=\"5\">
								<tr><td>Descripci&oacute;n</td><td><input type=\"text\" name=\"desc\" value=\"\"></td>
								</tr>
								<tr><td>Cuenta No.</td><td><input type=\"text\" name=\"cta\" value=\"\"></td>
								</tr>
								</table><br><br>

<input type=\"submit\" name=\"lista2\"  value=\"Agregar Cuenta\" /></form>
";}
else {
	
	
	if($desc!=null && $cta!=null){
echo"Los datos capturados son los siguientes:<br><br>
Descripci&oacute;n de la cuenta: <b>$desc</b><br><br>
No. de Cuenta: <b>$cta</b><br><br>

<form name=\"Agrega3\" action=\"agregacta.php\" method=\"post\">
<input type=hidden name=descripcion value=$desc />
<input type=hidden name=cuenta value=$cta />

<input type=\"submit\" name=\"lista2\"  value=\"Dar de alta cuenta en sistema\" /></form>
";	}
else { echo"Existe un Error en la Captura<br>Favor de Intentar nuevamente";
}

}

  
  
?>